Subject: bug#13901: Emacs crashing Mac OS X when quit with a shell running

From: Andrew Pennebaker <[email-masked]>
Date: Thu, 7 Mar 2013 21:37:14 -0500

Update: Reproduce this bug with a shorter series of commands:

M-x shell RET C-x C-c yes

On Thu, Mar 7, 2013 at 9:06 PM, Andrew Pennebaker <
[email-masked]> wrote:

> I often code with two windows open, one for code, one for a shell. When
> I'm done editing a file, I press C-x C-c to quit Emacs. However, when I do
> this in Mac OS X, my computer crashes.
>
> Steps to Reproduce:
>
> open Terminal.app
> $ emacs
> C-x 2
> C-x o
> M-x shell
> C-x o
> C-x C-f <file>
> (finish editing)
> C-x C-s
> C-x C-c
> "Active processes exist; kill them and exit anyway? (yes or no)"
> yes
> (OS crashes here)
>
> System:
>
> $ specs emacs brew bash os hardware
> Specs:
>
> specs 0.2
> https://github.com/mcandre/specs#readme
>
> emacs --version
> GNU Emacs 24.2.1
> Copyright (C) 2012 Free Software Foundation, Inc.
> GNU Emacs comes with ABSOLUTELY NO WARRANTY.
> You may redistribute copies of Emacs
> under the terms of the GNU General Public License.
> For more information about these matters, see the file named COPYING.
>
> brew --version
> 0.9.4
>
> bash --version
> GNU bash, version 3.2.48(1)-release (x86_64-apple-darwin12)
> Copyright (C) 2007 Free Software Foundation, Inc.
>
> system_profiler SPSoftwareDataType | grep 'System Version'
>       System Version: OS X 10.8.2 (12C60)
>
> system_profiler | grep 'Model Identifier'
>       Model Identifier: MacBookPro5,5
>
> Mitigation:
>
> Until this is resolved, I have to remember to safely quit the shell
> process before quitting Emacs.
>
> C-x b *shell*
> exit
> "Process shell finished"
> C-x C-c
>
> --
> Cheers,
>
> Andrew Pennebaker
> www.yellosoft.us
>

-- 
Cheers,

Andrew Pennebaker
www.yellosoft.us